ABZB

Starlion Industries - KSPI & IFS Compatibility Patches for Fueltanks, Spaceplanes, & more [CKAN]

What would you like to see next?  

55 members have voted

  1. 1. What would you like to see next?

    • Add Mk2 and Mk3 Alcubierre drives as well as other miscellaneous KSPI parts (will take quite some time, need to learn modeling first)
      19
    • Fix unbalanced parts, etc. (please comment what & why)
      0
    • Integrate other part-packs with KSPI (please suggest which one(s))
      4
    • Other
      0


Recommended Posts

Hmmm.... at the moment, I have a single patch applying to all relevant parts. This allows me to also alter relevant parts from any part-pack. If I am to remove the Helium-4 from all but a few parts, I would prefer to some reasonable criteria to do so (like by cost, mass, etc.) This would be very tricky to implement in a useful way, as I am not directly choosing what part gets what, doing as you suggest would be very tricky at best.

As it is, as of the next update, Argon & Xenon will be stored cryogenically when Realfuels or MFT is installed. This will mean that those modes require power, but have a greater amount of fuel stored. If one wants to have a pressurized tank for them, the MFT-tanks will be available (so each has an advantage). As such, the RF/MFT-less mode will retain them in pressurized form, as not to inconvenience those players.

After that, I am going to recalculate the amount of each other resource my patch provides, using the amount of LiquidHydrogen as the baseline (I will be assuming amount is in Liters, unless Freethinker informs me otherwise).

Share this post


Link to post
Share on other sites

So I just update from 8.2 to 8.3, and I get a bunch of errors on load up now:

[LOG 16:41:12.944] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:12.953] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:12.960] PartLoader: Part 'InterstellarFuelSwitch/Parts/InterstellarGasTank/InterstellarGasTank-PB-Stack/InterstellarGasTank_PB-Stack' has no database record. Creating.

[LOG 16:41:12.966] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:12.971] DragCubeSystem: Creating drag cubes for part 'InterstellarGasTank.PB-Stack'

[LOG 16:41:13.007] PartLoader: Compiling Part 'InterstellarFuelSwitch/Parts/InterstellarGasTank/InterstellarGasTank-PB-X50R/InterstellarGasTank-PB-X50R'

[LOG 16:41:13.013] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:13.017] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:13.019] PartLoader: Part 'InterstellarFuelSwitch/Parts/InterstellarGasTank/InterstellarGasTank-PB-X50R/InterstellarGasTank-PB-X50R' has no database record. Creating.

[LOG 16:41:13.024] InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0] '']

[LOG 16:41:13.025] DragCubeSystem: Creating drag cubes for part 'InterstellarGasTank-PB-X50R'

[LOG 16:41:13.050] PartLoader: Compiling Part 'Mk2Expansion/Parts/Aero/AdapterIntake/part/mk2_InlineIntake'

[WRN 16:41:13.055] PartLoader Warning: Variable LionStatus not found in Part

[WRN 16:41:13.056] PartLoader Warning: Variable LqdAmmoniaamount not found in Part

[WRN 16:41:13.056] PartLoader Warning: Variable LqdCO2amount not found in Part

[WRN 16:41:13.056] PartLoader Warning: Variable Hexaboraneamount not found in Part

[ERR 16:41:13.060] InsterstellarFuelSwitch SetupTankList Error

[ERR 16:41:13.061] InsterstellarFuelSwitch InitializeData Error

[ERR 16:41:13.061] InsterstellarFuelSwitch OnLoad Error

[EXC 16:41:13.063] ArgumentOutOfRangeException: Argument is out of range.

Parameter name: index

System.Collections.Generic.List`1[system.Collections.Generic.List`1[system.Double]].get_Item (Int32 index)

InterstellarFuelSwitch.InterstellarFuelSwitch.SetupTankList (Boolean calledByPlayer)

[ERR 16:41:13.065] InsterstellarFuelSwitch SetupTankList Error

[ERR 16:41:13.066] InsterstellarFuelSwitch InitializeData Error

[ERR 16:41:13.066] InsterstellarFuelSwitch OnStart Error

[EXC 16:41:13.066] ArgumentOutOfRangeException: Argument is out of range.

Parameter name: index

System.Collections.Generic.List`1[system.Collections.Generic.List`1[system.Double]].get_Item (Int32 index)

InterstellarFuelSwitch.InterstellarFuelSwitch.SetupTankList (Boolean calledByPlayer)

Updated from CKAN, only this mod.

I was building a new space plane, and noticed that the turbojets no longer functioned on anything but ATM. Was hoping this update would resolve that.

- - - Updated - - -

Verified that replacing the Starlionindustries folder with version 8.2 fixed the problem.

Share this post


Link to post
Share on other sites
So I just update from 8.2 to 8.3, and I get a bunch of errors on load up now:

Updated from CKAN, only this mod.

I was building a new space plane, and noticed that the turbojets no longer functioned on anything but ATM. Was hoping this update would resolve that.

- - - Updated - - -

Verified that replacing the Starlionindustries folder with version 8.2 fixed the problem.

Hrmmm kind of out of time... in an hour i'll be out until tuesday night. the Variable X not found in Part I can fix fast, have to look into the index error. Could you tell me what, if any, of Realfuels & Modular Fuel Tanks you have installed? The turbojets should only have ATM until they are upgraded. the main KSPI has been rebalancing and fixing various upgrade nodes. the upgrade tech for turbojets to use all fuels is now Experimental Aircraft Engines [expAircraftEngines].

Share this post


Link to post
Share on other sites

Note that in the latest release a new property called jetPerformanceProfile is added. It determines how the Atmospheric Thermal Propulsion performs as a Ramjet (= 0) or TurboJet (=1) .

Share this post


Link to post
Share on other sites

I do not have Real Fuels or Modular Fuel Tanks, just what was required for KSP Interstellar Extended and KSPI Integration. So that's:

Community Resource Pack 0.4.4

Community Tech Tree 2.1

Crossfeed Enabler 3.3

Filter Extensions - Plugin 2.4.1

Interstellar Fuel Switch 1.16

Interstellar Fuel Switch Core 1.16

Klockheed Martian General Plugin Functions - Gimbal 3.0.4.0

KSPIe 1.5.6

KSPI Integration 8.3.0

MK2 Stock-a-like Expansion 1.5.1

Module Manager 2.6.8

Protractor 2.5.1

Toolbar 1.7.9

Tweakscale 2.2.1

I'll go back and make sure I've got Experimental Aircraft Engines unlocked for the other thing. Thanks!

- - - Updated - - -

I do not have that unlocked, so there's my next 1500 science goal :)

On a side note, since I've got both of you guys here, I had a funny thing happen with my game after the update last weekend, I believe. All of my tanks that had LFO in them switched to being full of Ammonia. Made for a fun disaster of God moment that I used to bring all of my planes home to rebuild. Certainly not a complaint, but more of a funny thing that I had to suddenly find a solution for.

Share this post


Link to post
Share on other sites

I got 30 errors related to KSPIE Integration with current version on my loading screen

xrRXthT.png

Edited by Cosmonauth

Share this post


Link to post
Share on other sites
So I just update from 8.2 to 8.3, and I get a bunch of errors on load up now:

Updated from CKAN, only this mod.

I was building a new space plane, and noticed that the turbojets no longer functioned on anything but ATM. Was hoping this update would resolve that.

- - - Updated - - -

Verified that replacing the Starlionindustries folder with version 8.2 fixed the problem.

The "InsterstellarFuelSwitch: parseDoubles error in '', invalid float: tankCost [len:0]" are not realy bugs, more like warnings. I will fix them in my next patch of IFS

Share this post


Link to post
Share on other sites

ABZB - not sure if you saw my post on the KSPIE forum, but this mod is now incompatible with KSPIE in a way that keeps KSP from loading at all (ModuleManager throws 50 errors parsing IFS_Expanded_Resources.cfg) - Freethinker changed/removed some resource types in the latest KSPIE update and it seems to be clashing here :(

This is the same error reported by Cosmonauth .. I'm not sure if the effect is the same for him but for me it completely prevents KSP from loading.

Share this post


Link to post
Share on other sites
ABZB - not sure if you saw my post on the KSPIE forum, but this mod is now incompatible with KSPIE in a way that keeps KSP from loading at all (ModuleManager throws 50 errors parsing IFS_Expanded_Resources.cfg) - Freethinker changed/removed some resource types in the latest KSPIE update and it seems to be clashing here :(

This is the same error reported by Cosmonauth .. I'm not sure if the effect is the same for him but for me it completely prevents KSP from loading.

I can't say KSP loaded that time I made screenshot, coz I killed it to remove conflicting mod. Now waiting for update

Share this post


Link to post
Share on other sites

I got 330 errors and I killed it after no updates in the log file for 10 minutes, I assume it wasn't loading at all anymore. I uninstalled this mod and now everything loads fine.

Share this post


Link to post
Share on other sites

I haven't heard from ABZB on this thread or the KSPIE main thread in a while... is he on vacation? I'd offer to help if I could, but I'm not sure specifically what's wrong here or what tactic to take as far as fixing it goes. If there's anything I can do to help, however, please let me know - I converted all my spaceplanes over to this mod so my space program is kind of... scrubbed, until there's a fix for this :(

Share this post


Link to post
Share on other sites

I just now reinstalled the previous version (8.2), KSP now starts loading without generating errors, but it seems to have stalled on

"[LOG 09:28:56.533] PartLoader: Part 'Mk2Expansion/Parts/Utility/Reactor/part/M2X_Generator_CP' has no database record. Creating.[LOG 09:28:56.553] DragCubeSystem: Creating drag cubes for part 'M2X.Generator.CP' "

Share this post


Link to post
Share on other sites

Hello all, I'm back. [Jewish, was offline for the first days of the succot festival]. I will find & fix the bug shortly, hopefully.

EDIT: Found a bunch of missing semicolons (missing semicolons - my immortal enemy!). Testing to see if fixed now.

EDIT: Even more missing characters

EDIT: 8.3.1: Perfectly Ultimate Great Dwarf Felis - (could not resist adding this for next row of naming scheme)

  • Moved OPT file to folder with its friends
  • Moved some nodes from the mk2 file to the All-Tanks file. Should correct possible non-desired result in at least one plausible scenario.
  • added new jetPerformanceProfile field to relevant engines
  • fixed bug when Realfuels, and not any of MFT, KSPI, & CRP are installed
  • fixed host of bugs causing loading errors

Edited by ABZB

Share this post


Link to post
Share on other sites

I'm still getting 30 module manager errors from the same config file, but it doesn't stop KSP from loading anymore, and my craft works[1], so I think there's just a few semi-cosmetic things left to fix.

[1] works as far as this mod is concerned. I still need to go bug FreeThinker, something's still wrong with the thermal turbojets.

Share this post


Link to post
Share on other sites

I'm getting 201 errors related to FS_Expanded_Resources.cfg

and in the log its stuck at [LOG 09:21:37.302] PartLoader: Part 'Mk2Expansion/Parts/Utility/RCS/StabilityControl/mk2SCRCS' has no database record. Creating.[LOG 09:21:37.315] DragCubeSystem: Creating drag cubes for part 'mk2SCRCS'

Share this post


Link to post
Share on other sites
I'm getting 201 errors related to FS_Expanded_Resources.cfg

and in the log its stuck at [LOG 09:21:37.302] PartLoader: Part 'Mk2Expansion/Parts/Utility/RCS/StabilityControl/mk2SCRCS' has no database record. Creating.[LOG 09:21:37.315] DragCubeSystem: Creating drag cubes for part 'mk2SCRCS'

What, if any of MFT and Realfuels do u have?

Share this post


Link to post
Share on other sites
What, if any of MFT and Realfuels do u have?

This is my working configuration, without the integration mod:

KSP Version: 1.0.4

Installed Modules:

- ActsEW 1.5

- AGExt 1.33a

- AlternateResourcePanel 2.7.3.0

- B9AerospaceProceduralParts 0.40

- BDAnimationModules v0.6.2

- CargoTransportationSolutions 0.4.2

- CoherentContracts 1.02

- CommunityResourcePack 0.4.4

- CommunityTechTree 2.1

- ConnectedLivingSpace 1.1.3.1

- ContractConfigurator 1.7.5

- ContractConfigurator-AdvancedProgression 4.5

- ContractConfigurator-ContractPack-SCANsat v0.5.2.1

- ContractConfigurator-FieldResearch 1.1.1

- ContractConfigurator-RemoteTech 2.0.01

- ContractConfigurator-UnmannedContracts 0.3.10

- CrewQueue 1:ksp1.0_r2

- CriticalTemperatureGauge 1.0.4-a

- CrossFeedEnabler v3.3

- CrowdSourcedScience v3.0

- CryoEngines 1:0.1.10

- DatedQuickSaves 1.1.0

- DMagicOrbitalScience 1.0.8

- EditorExtensions 2.12

- ExtraPlanetaryLaunchpads 5.2.2

- FieldExperience 1.0.2

- FilterExtensions 2.4.1

- FinalFrontier 0.8.6-1370

- FingerboxesCore 2:1.0.4_r1

- FirespitterCore v7.1.4

- ForScienceContinued 1.1.0

- FreedomTex 1.5.1

- Fusebox 1.51

- Goodspeed 1.4

- HotRockets 1.0.4.1

- HyperEdit 1.4.1.0

- InfernalRobotics v0.21.3

- InterstellarFuelSwitch 1.17

- InterstellarFuelSwitch-Core 1.17

- JSIPartUtilities v0.3

- Karbonite 0.6.4

- KarbonitePlus 0.5.0

- KaribouExpeditionRover 0.0.4

- KAS 0.5.4

- KerbalAlarmClock v3.4.0.0

- KerbalConstructionTime 1.2.2

- KerbalGPS 1.0.23.5.01

- KerbalKonstructs 0.9.4.1

- KerbalPlanetaryBaseSystems 0.2.4

- KerbalScienceExchange 1.1.1

- KerbalStats 2.0.0

- KerbinSide 1:1.0.5

- KerboKatzUtilities 1.2.11

- KIS 1.2.2

- KlockheedMartian-Gimbal 3.0.4.0

- Kopernicus 1:beta-04

- KSP-AVC 1.1.5.0

- KSPInterstellarExtended 1.5.8

- LayeredAnimations 1.1

- MagiCore 1.0.0.0

- MarkIVSpaceplaneSystem 2.0.0

- MarkOneLaboratoryExtensions 0.1.4

- MechJeb2 2.5.3

- MechJebForAll 1.2.0.0

- Mk2Expansion 1.5.1

- ModuleManager 2.6.8

- ModuleRCSFX v4.2

- NearFutureConstruction 0.5.4

- NearFutureElectrical 0.5.3

- NearFutureElectrical-Core 0.5.3

- NearFutureElectrical-DecayingRTGs 0.5.3

- NearFutureProps 0.4.3

- NearFuturePropulsion 0.5.3

- NearFuturePropulsionExtras 0.5.3

- NearFutureSolar 0.5.3

- NearFutureSpacecraft 0.4.3

- OuterPlanetsMod 1:1.8

- Pathfinder 0.8.0

- PersistentThrust v1.0.3

- PorkjetHabitats 0.41

- PortableScienceContainer 1.3.0

- ProceduralFairings v3.15

- ProceduralParts v1.1.7

- RandSCapsuledyne 1:1.5.3

- RasterPropMonitor v0.23.0

- RasterPropMonitor-Core v0.23.0

- RCSBuildAid 0.7.2

- RealChute 1.3.2.3

- RemoteTech v1.6.8

- SCANsat v14.2

- ScienceAlert 1.8.9

- SelectRoot 2015-05-17

- SETI-Contracts 0.9.3

- SETI-Greenhouse 0.9.2

- ShipManifest 4.4.1.1

- SmartParts 1.6.6

- SmokeScreen 2.6.9

- SolarSailNavigator v1.0.5

- SpacetuxSA 0.3.6

- StageRecovery 1.5.7

- StarTrekEngines 1.9

- StationPartsExpansion 0.3.3

- StationScience 1.5

- surfacelights 1.0

- TacFuelBalancer v2.5.1

- TACLS v0.11.1.20

- TACLS-Config-Stock v0.11.1.20

- TACLSMining 1:1

- TarsierSpaceTechnologyWithGalaxies 1:5.4.1

- Telemachus v1.4.30.0

- Toolbar 1.7.9

- TweakScale v2.2.1

- UbioWeldingLtd autodetected dll

- UKS 0.31.9

- UniversalStorage 1.1.0.7

- USI-EXP 0.4.1

- USI-FTT 0.4.1

- USI-SRV 0.3.1

- USITools 0.4.2

- VesselAssembly 0.4

- VNG-Parachute 1.2

- VNG-Parachute-EVALoading 1.0

- VNG-Plugin 0.7.2

- WaypointManager 2.4.2

- WildBlueTools 1.0.11

- Workshop 0.10.2

When I install the mod version 8.3.1 from ckan I get the errors as posted above.

Share this post


Link to post
Share on other sites

hmmm - I have to point out that Star-Trek Style engines is currently way out of date - if they work, they will be terribly unbalanced.

Could you post an example of one of the 201 errors?

The voxel thing is usual, that whole thing means that whatever is freezing it up is the next thing that it tried to do after that...

Share this post


Link to post
Share on other sites

This all works fine without the compatibility patch. :) I'm running linux 64bit, so no memory issues. And you modders did a great job avoiding conflicts. And I only install through ckan.

- - - Updated - - -

hmmm - I have to point out that Star-Trek Style engines is currently way out of date - if they work, they will be terribly unbalanced.

Could you post an example of one of the 201 errors?

The voxel thing is usual, that whole thing means that whatever is freezing it up is the next thing that it tried to do after that...

I think I can safely delete Star Trek from current save-game so I will get rid of that one, thanks for pointing that out.

I'll post my log with this mod installed as soon as I have time.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.